/********************************************************************

Module: TiEventLoop

Author: Vince Harron

Description:

an object that represents the typical application event loop

Copyright 2006 Sony Online Entertainment.  All rights reserved.

*********************************************************************/

#ifndef _TiEventLoop_h_
#define _TiEventLoop_h_

class TiApp;

class TiEventLoop
{
public:
  TiEventLoop( TiApp* pApp );
  virtual ~TiEventLoop(void);

  void Run();
  void Exit();
private:
  TiApp* mpApp;
  bool   mbIsRunning;
};

#endif // _TiEventLoop_h_
